<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("__include-common-code-file.php");
	my_session_start();
	require("../account/__logincheck.php");
	if ($_SESSION['システム管理者'] <> "YES") {
		exit;
	}
	if ($_GET['ret'].'' == '') {
		$ret_php = 'file-manager.php';
	} else {
		$ret_php = $_GET['ret'];
	}
	if ($_GET['path'].'' == '' or $_GET['new'].'' == '') {
		error_simple_html('エラー', 'パス指定がありません。');
	}
	$path = my_GET('path');
	$new = my_GET('new');
	if (myfile_file_exists($path)) {
		$new_path = substr($path, 0, strrpos($path, '/')).'/'.$new;
		if (myfile_file_exists($new_path)) {
			error_simple_html('ファイルリネームエラー', 'リネーム先のファイル名['.$new.']が存在します。');
		}
		if (@myfile_rename($path, $new_path) == False) {
			error_simple_html('ファイルリネームエラー', 'リネーム['.$new.']に失敗しました。');
		}
	}
	header("Location: ".$ret_php."?path=".urlencode(up_folder_path($path)));
?>
